/* The main Blinker program */

#include "def21065l.h"
/************************************************************************/
/*  Interrupt Vector table								*/
.SEGMENT/PM     isr_tabl;

/* The loader begins with the interrupts up to and including the low    */

		NOP;NOP;NOP;NOP;        /* Reserved interrupt           	*/
___lib_RSTI:    NOP;
		jump beblink (db);	/* Begin loader                 	*/
		r0=0x21ad6b59;           
		DM(WAIT)=r0;
		NOP;NOP;NOP;NOP;        /* Reserved interrupt           	*/

/* Vector for status stack/loop stack overflow or PC stack full:        */
___lib_SOVFI:   RTI;RTI;RTI;RTI;
		
/* Vector for high priority timer interrupt:                            */
___lib_TMZHI:   rti;rti;rti;rti;
		           
/* Vectors for external interrupts:                                     */
___lib_VIRPTI:  RTI;RTI;RTI;RTI;
___lib_IRQ2I:   RTI;RTI;RTI;RTI;
___lib_IRQ1I:   RTI;RTI;RTI;RTI;
___lib_IRQ0I:   RTI;RTI;RTI;RTI;
		NOP;NOP;NOP;NOP;                /* Reserved interrupt   	*/

/* Vectors for Serial port DMA channels:                                */
___lib_SPR0I:   RTI;RTI;RTI;RTI;
___lib_SPR1I:   RTI;RTI;RTI;RTI;
___lib_SPT0I:   RTI;RTI;RTI;RTI;
___lib_SPT1I:   RTI;RTI;RTI;RTI;

/* Vectors for link port DMA channels:                                  */
___lib_LP2I:    RTI;RTI;RTI;RTI;
___lib_LP3I:    RTI;RTI;RTI;RTI;

/* Vectors for External port DMA channels:                              */
___lib_EP0I:    NOP;RTI;RTI;RTI;
___lib_EP1I:    NOP;RTI;RTI;RTI;
___lib_EP2I:    RTI;RTI;RTI;RTI;
___lib_EP3I:    RTI;RTI;RTI;RTI;

/* Vector for Link service request                                      */
___lib_LSRQ:    RTI;RTI;RTI;RTI;
		
/* Vector for DAG1 buffer 7 circular buffer overflow                    */
___lib_CB7I:    RTI;RTI;RTI;RTI;

/* Vector for DAG2 buffer 15 circular buffer overflow    			*/
___lib_CB15I:   RTI;RTI;RTI;RTI;

/* Vector for lower priority timer interrupt  					*/
___lib_TMZLI:   RTI;RTI;RTI;RTI;
.ENDSEG;
/*												*/
/************************************************************************/
/* .SEGMENT/PM     seg_rth;
Reserved_1:		rti; nop; nop; nop;
Chip_Reset:		idle; 
				jump beblink; 
				pmwait=0x0021; */	/* Bank 0 and 1, internal wait states only, 0 wait states */
        	/*	dmwait=0x8421;	*//* Banks 0-3, internal wait states only, 0 wait states */
/*.ENDSEG;*/
/************************************************************************/

.SEGMENT/PM             pm_code;
beblink:
wait:
		ustat1=0x07;							/* flag 4,5,6 output for LEDs */
		bit set ustat1 0x07;
		dm(IOSTAT)=ustat1;
		bit clr mode2 FLG2O | FLG1O; 					/* flag 1 and 2 input  */        
      	
looping:		call blink4;
      	call blink45; 
	  	call blink456; 
	   	jump looping;
      	      
        
.ENDSEG;

